:root {
  /* Space - Sizes */
  --space-none: 0;
  --space-xs: 16px;
  --space-s: 32px;
  --space-base: 64px;
  --space-m: 80px;
  --space-l: 120px;
  --space-xl: 240px;
  --space-xxl: 320px;
}


/* Top paddings */
.padding-top-none { padding-top: var(--space-none); }
.padding-top-xs { padding-top: var(--space-xs); }
.padding-top-s { padding-top: var(--space-s); }
.padding-top-base { padding-top: var(--space-base); }
.padding-top-m { padding-top: var(--space-m); }
.padding-top-l { padding-top: var(--space-l); }
.padding-top-xl { padding-top: var(--space-xl); }
.padding-top-xxl { padding-top: var(--space-xxl); }


/* Bottom paddings */
.padding-bottom-none { padding-bottom: var(--space-none); }
.padding-bottom-xs { padding-bottom: var(--space-xs); }
.padding-bottom-s { padding-bottom: var(--space-s); }
.padding-bottom-base { padding-bottom: var(--space-base); }
.padding-bottom-m { padding-bottom: var(--space-m); }
.padding-bottom-l { padding-bottom: var(--space-l); }
.padding-bottom-xl { padding-bottom: var(--space-xl); }
.padding-bottom-xxl { padding-bottom: var(--space-xxl); }


/* Top margins */
.margin-top-none { margin-top: var(--space-none); }
.margin-top-xs { margin-top: var(--space-xs); }
.margin-top-s { margin-top: var(--space-s); }
.margin-top-base { margin-top: var(--space-base); }
.margin-top-m { margin-top: var(--space-m); }
.margin-top-l { margin-top: var(--space-l); }
.margin-top-xl { margin-top: var(--space-xl); }
.margin-top-xxl { margin-top: var(--space-xxl); }


/* Bottom margins */
.margin-bottom-none { margin-bottom: var(--space-none); }
.margin-bottom-xs { margin-bottom: var(--space-xs); }
.margin-bottom-s { margin-bottom: var(--space-s); }
.margin-bottom-base { margin-bottom: var(--space-base); }
.margin-bottom-m { margin-bottom: var(--space-m); }
.margin-bottom-l { margin-bottom: var(--space-l); }
.margin-bottom-xl { margin-bottom: var(--space-xl); }
.margin-bottom-xxl { margin-bottom: var(--space-xxl); }

